org.springframework.batch.core.configuration.xml

## Class InlineStepParser

- java.lang.Object
- - org.springframework.batch.core.configuration.xml.AbstractStepParser
  - - org.springframework.batch.core.configuration.xml.InlineStepParser

-     public class InlineStepParser
      extends AbstractStepParser

  Internal parser for the <step/> elements inside a job. A step element references a bean definition for a `Step` and goes on to (optionally) list a set of transitions from that step to others with <next on="pattern" to="stepName"/>. Used by the `JobParser`.
  Since:
    2.0
  Author:
    Dave Syer, Thomas Risberg
  See Also:
    `JobParser`

- - ### Field Summary

    - ### Fields inherited from class org.springframework.batch.core.configuration.xml.AbstractStepParser

      `ID_ATTR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InlineStepParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection<org.springframework.beans.factory.config.BeanDefinition>` | `parse(org.w3c.dom.Element element, org.springframework.beans.factory.xml.ParserContext parserContext, java.lang.String jobFactoryRef)` Parse the step and turn it into a list of transitions.

    - ### Methods inherited from class org.springframework.batch.core.configuration.xml.AbstractStepParser

      `parseStep`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InlineStepParser

          public InlineStepParser()

  - ### Method Detail

    - #### parse

          public java.util.Collection<org.springframework.beans.factory.config.BeanDefinition> parse(org.w3c.dom.Element element,
                                                                                                     org.springframework.beans.factory.xml.ParserContext parserContext,
                                                                                                     java.lang.String jobFactoryRef)

      Parse the step and turn it into a list of transitions.
      Parameters:
        `element` - the <step/gt; element to parse
        `parserContext` - the parser context for the bean factory
        `jobFactoryRef` - the reference to the `JobParserJobFactoryBean` from the enclosing tag
      Returns:
        a collection of bean definitions for `StateTransition` instances objects